//***************************************************************************
// Group Linslot / Linux - Slotrace Manager
// File roundprofile.hpp
// Date 03.03.08 - Jrg Wendel
// This code is distributed under the terms and conditions of the
// GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
//***************************************************************************

//***************************************************************************
// Include
//***************************************************************************

#include <QWidget>
#include <QPen>
#include <QPainter>

//***************************************************************************
// class RenderArea
//***************************************************************************

class RenderArea : public QWidget
{
      Q_OBJECT

   public:

      RenderArea(QWidget *parent = 0);

   public slots:

      void scaleUpClicked(bool checked);
      void scaleDownClicked(bool checked);

   protected:

      void paintEvent(QPaintEvent *event);

      // data

      int xScale;
      QPen pen;
      QBrush brush;
};
